Loading...
Searching...
No Matches
pappso::FilterMorphoMaxMin Class Reference

transform the trace with the maximum of the minimum equivalent of the erode filter for pictures More...

`#include <filtermorpho.h>`

Inheritance diagram for pappso::FilterMorphoMaxMin:

## Public Member Functions

| FilterMorphoMaxMin (std::size_t half_window_size)
| FilterMorphoMaxMin (const FilterMorphoMaxMin &other)
virtual | ~FilterMorphoMaxMin ()
FilterMorphoMaxMin & | operator= (const FilterMorphoMaxMin &other)
Trace & | filter (Trace &data_points) const override
std::size_t | getMaxMinHalfEdgeWindows () const
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Private Attributes

FilterMorphoMin | m_filterMin
FilterMorphoMax | m_filterMax

## Detailed Description

transform the trace with the maximum of the minimum equivalent of the erode filter for pictures

Definition at line 137 of file filtermorpho.h.

## Constructor & Destructor Documentation

## FilterMorphoMaxMin() [1/2]

FilterMorphoMaxMin::FilterMorphoMaxMin | ( | std::size_t | half_window_size | ) |

Definition at line 242 of file filtermorpho.cpp.

: m_filterMin(half_window_size), m_filterMax(half_window_size)
{
}
pappso::FilterMorphoMaxMin::m_filterMax
FilterMorphoMax m_filterMax
Definition filtermorpho.h:141
pappso::FilterMorphoMaxMin::m_filterMin
FilterMorphoMin m_filterMin
Definition filtermorpho.h:140

## FilterMorphoMaxMin() [2/2]

FilterMorphoMaxMin::FilterMorphoMaxMin | ( | const FilterMorphoMaxMin & | other | ) |

Definition at line 246 of file filtermorpho.cpp.

: m_filterMin(other.m_filterMin), m_filterMax(other.m_filterMax)
{
}

## ~FilterMorphoMaxMin()

virtual pappso::FilterMorphoMaxMin::~FilterMorphoMaxMin | ( |  | ) |

inline virtual

Definition at line 146 of file filtermorpho.h.

{};

## Member Function Documentation

## filter()

Trace & FilterMorphoMaxMin::filter | ( | Trace & | data_points | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 261 of file filtermorpho.cpp.

{
qDebug();
m_filterMin.filter(data_points);
m_filterMax.filter(data_points);
qDebug();
return data_points;
}
pappso::FilterMorphoWindowBase::filter
virtual Trace & filter(Trace &data_points) const override
Definition filtermorpho.cpp:61

References pappso::FilterMorphoWindowBase::filter(), m_filterMax, and m_filterMin.

Referenced by pappso::TraceDetectionZivy::detect().

## getMaxMinHalfEdgeWindows()

std::size_t FilterMorphoMaxMin::getMaxMinHalfEdgeWindows | ( |  | ) | const

Definition at line 270 of file filtermorpho.cpp.

{
return ((FilterMorphoMax)m_filterMax).getMaxHalfEdgeWindows();
}
pappso::FilterMorphoMax
transform the trace into its maximum over a window
Definition filtermorpho.h:81

References m_filterMax.

Referenced by pappso::TraceDetectionZivy::detect(), and pappso::TraceDetectionZivy::getMaxMinHalfEdgeWindows().

## operator=()

FilterMorphoMaxMin & FilterMorphoMaxMin::operator= | ( | const FilterMorphoMaxMin & | other | ) |

Definition at line 252 of file filtermorpho.cpp.

{
m_filterMin = other.m_filterMin;
m_filterMax = other.m_filterMax;
return *this;
}

References m_filterMax, and m_filterMin.

## Member Data Documentation

## m_filterMax

FilterMorphoMax pappso::FilterMorphoMaxMin::m_filterMax

private

Definition at line 141 of file filtermorpho.h.

Referenced by filter(), getMaxMinHalfEdgeWindows(), and operator=().

## m_filterMin

FilterMorphoMin pappso::FilterMorphoMaxMin::m_filterMin

private

Definition at line 140 of file filtermorpho.h.

Referenced by filter(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filtermorpho.h
- pappsomspp/processing/filters/filtermorpho.cpp